Documentation Index
Fetch the complete documentation index at: https://developer.cregis.com/llms.txt
Use this file to discover all available pages before exploring further.
API URL
POST /api/v1/sub_address_withdrawal/info
Request
Request Parameters
| Name | Type | Required | Description |
|---|
| pid | integer(int64) | Yes | WaaS project ID. Go to Cregis > WaaS > Select project > Settings > Developer to view |
| cid | integer(int64) | Yes | System serial number (cid from the sub-address payout response) |
| nonce | string | Yes | 6-character random string |
| timestamp | integer(int64) | Yes | Current timestamp (milliseconds) |
| sign | string | Yes | Digital signature to prevent tampering |
Request Example
{
"pid": 1382528827416576,
"cid": 1382626461605888,
"nonce": "sw7kv5",
"timestamp": 1687853722065,
"sign": "af825ddb839e6796d62977caf18d3394"
}
Response
Response Result
| Name | Type | Description |
|---|
| code | string | Response Code |
| msg | string | Response Message |
| data | object | Response Data Object |
Response data Object
| Name | Type | Description |
|---|
| pid | integer(int64) | WaaS project ID |
| chain_id | string | The chain ID of the token you are querying |
| token_id | string | The token ID of the token you are querying |
| currency | string | The token name of the token you are querying |
| from_address | string | Sender address |
| to_address | string | Recipient address |
| amount | string | Payout amount |
| status | integer(int32) | Status of the payout order |
| third_party_id | string | Business reference ID generated by your own business system |
| remark | string | Transaction description (max 256 characters) |
| memo | string | On-chain memo/tag (only for Ton, Xrp) |
| txid | string | Transaction hash |
| block_height | string | Block height |
| block_time | integer(int64) | Block time |
Response status Enum
| status | Description |
|---|
| 0 | Pending Approval |
| 4 | Review rejected |
| 5 | Pending Signature |
| 1 | Signature Approved |
| 2 | Signature rejected |
| 6 | Transaction successful. On-chain transaction are successful |
| 7 | Transaction failed. The on-chain transaction failed |
Response Example
{
"code": "00000",
"msg": "ok",
"data": {
"pid": 1382528827416576,
"from_address": "rqkVSVbsatX3mXAc64g9wTihrmoLwpiuB",
"to_address": "rn5Jyu5J6PG64543KdGvS25rQBYFQo7GLc",
"chain_id": "144",
"token_id": "144",
"currency": "XRP",
"amount": "1.1",
"third_party_id": "1e0fb3a0a9454ad8928d26b592e8b3c7",
"remark": "payout",
"memo": "123",
"status": 0,
"txid": "6dd05b0972075542219a3fcc116c58feaf9480f1f698cc46c4367ded83955cfd",
"block_height": "34527604",
"block_time": 1686814482000
}
}